# norootforbuild
Summary:   A subversion client for the KDE with TDEIO integration
Name:      tdesvn
Version:   @VERSION@
Release:   1
License:   LGPL
Vendor:    Rajko Albrecht <ral@alwins-world.de>
Url:       http://tdesvn.alwins-world.de
Group:     Development/Tools
Source:    tdesvn-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: subversion >= 1.3.0
Requires: /usr/bin/dot
BuildRequires: cmake >= 2.4
BuildRequires: gcc-c++
BuildRequires: sqlite-devel
BuildRequires: subversion-devel

%if 0%{?fedora_version} > 0 || 0%{?rhel_version} > 0 || 0%{?centos_version} > 0
BuildRequires: apr-devel
BuildRequires: apr-util-devel
%if 0%{?fedora_version} > 8
BuildRequires: tdelibs3-devel
%else
BuildRequires: tdelibs-devel >= 3.4
%endif
%define _prefix /usr
%endif

%if 0%{?suse_version} > 0
BuildRequires: xorg-x11-devel
BuildRequires: tdelibs3-devel
%define _prefix /opt/trinity
%if %suse_version >= 1010
BuildRequires:  libapr1 libapr1-devel libapr-util1 libapr-util1-devel
%else
BuildRequires:  libapr0
%endif
%define _bindir %{_prefix}/bin
%define _datadir %{_prefix}/share
%define _libdir %{_prefix}/%_lib
%define _includedir %{_prefix}/include
%endif


%description
Kdesvn is a subversion client for KDE.
It may used as standalone application or plugin (KPart). Base functions are provided
via a TDEIO protocol, too.

%package tdeiosvn
Requires: tdesvn = %{version}
Group:    Development/Tools
Summary:  A kde-tdeio integration for subversion based on tdesvn

%description tdeiosvn
TDEIO integration (TDEIO::svn) based on tdesvn alternative protocol name.

%package devel
Group:    Development/Libraries
Summary:  Wrapper lib for subversion QT integration
Requires: subversion-devel >= 1.3.0
Requires: tdesvn = %{version}

%description devel
Development files for tdesvn. It is required when you plan use svnqt wrapper library in your own application.

%prep
%setup -q
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=`tde-config --prefix` -DCMAKE_BUILD_TYPE=Release -DLIB_SUFFIX=`tde-config --libsuffix`

%build
%if 0%{?suse_version} > 0
. /etc/opt/trinity/common_options
%endif
cd build
make %{?jobs:-j%jobs}

%install
cd build
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip $RPM_BUILD_ROOT/%{_datadir}/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/tdesvn
%{_bindir}/tdesvnaskpass
%{_libdir}/*/*part*
%{_datadir}/applications/*
%{_datadir}/apps/tdesvn/*
%{_datadir}/apps/tdesvnpart/*
%{_datadir}/apps/tdeconf_update/*
%{_datadir}/config.kcfg/*
%{_datadir}/doc/*
%{_datadir}/icons/*
%{_datadir}/locale/*
%{_libdir}/*/kded_tdesvnd.*
%{_datadir}/services/kded/tdesvnd.desktop
%{_datadir}/apps/konqueror/servicemenus/tdesvn*
%{_libdir}/*/tdeio_ksvn*
%{_datadir}/services/ksvn*.protocol
%{_datadir}/man/man1/*
%{_libdir}/libsvnqt*.so*
%doc AUTHORS ChangeLog GPL.txt TODO COPYING COPYING.OpenSSL

%files tdeiosvn
%defattr(-,root,root)
%{_datadir}/services/svn*.protocol

%files devel
%defattr(-,root,root)
%dir %{_includedir}/svnqt
%{_includedir}/svnqt/*

%changelog
